## org.apache.aries.subsystem.core.archive
Class TypeAttribute

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractAttribute
              org.apache.aries.subsystem.core.archive.TypeAttribute

All Implemented Interfaces:
  Attribute, Parameter

    public class TypeAttribute

extends AbstractAttribute

Field Summary
`static TypeAttribute` `DEFAULT`
`static String` `DEFAULT_VALUE`
`static String` `NAME`

Constructor Summary
`TypeAttribute()`
`TypeAttribute(String value)`

Method Summary
`String` `getType()`
`static TypeAttribute` `newInstance(String value)`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractAttribute
`appendToFilter, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName, getValue`

Field Detail

### DEFAULT

    public static final TypeAttribute DEFAULT

### DEFAULT_VALUE

    public static final String DEFAULT_VALUE

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### TypeAttribute

    public TypeAttribute()

### TypeAttribute

    public TypeAttribute(String value)

Method Detail

### newInstance

    public static TypeAttribute newInstance(String value)

### getType

    public String getType()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.